Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class XAQueue.Reader

    java.lang.Object
      java.io.InputStream
          de.grogra.util.HierarchicalQueue.Reader
              de.grogra.persistence.XAQueue.Reader

All Implemented Interfaces:
  PersistenceInput, java.io.Closeable, java.io.DataInput, java.io.ObjectInput

Direct Known Subclasses:
  ModificationQueue.Applier, Transaction.Reader

Enclosing class:
  XAQueue

    public class XAQueue.Reader

extends HierarchicalQueue.Reader
implements PersistenceInput

Field Summary

Fields inherited from class de.grogra.util.HierarchicalQueue.Reader
`in`

Fields inherited from interface de.grogra.persistence.PersistenceInput
`ARRAY_OBJECT, MANAGEABLE_OBJECT, MIN_UNUSED_KIND, NULL_OBJECT, PERSISTENT_OBJECT_ID, PLAIN_OBJECT, SERIALIZED_OBJECT, SHARED_OBJECT_REFERENCE, STRING_OBJECT`

Constructor Summary
`protected` | `XAQueue.Reader()`

Method Summary
`boolean` | `areFieldsProvided()`
`int` | `beginArray()`
`boolean` | `beginComponent(ManageableType.ArrayComponent c, int index)`
`ManageableType.Field` | `beginField(ManageableType type, ManageableType.Field field)`
`ManageableType` | `beginManaged()`
`void` | `close()`
`void` | `endArray()`
`void` | `endComponent()`
`void` | `endField()`
`void` | `endManaged()`
`PersistenceBindings` | `getBindings()`
`int` | `getNextObjectKind()`
`XAQueue` | `getQueue()`
`void` | `open()`
`java.lang.String` | `readName()`
`java.lang.Object` | `readObject(int kind, Type type)`
`PersistenceCapable` | `readPersistentObject()`
`long` | `readPersistentObjectId()`
`Shareable` | `readSharedObject()`
`java.lang.String` | `readString()`
`PersistenceCapable` | `resolveId(long inputId)`
`void` | `setNested(boolean nested)`

Methods inherited from class de.grogra.util.HierarchicalQueue.Reader
`available, enter, isAt, leave, moveTo, moveToCurrent, next, peekByte, peekDouble, peekFloat, peekInt, peekLong, peekObject, popCursor, previous, pushCursor, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readItem, readLine, readLong, readObject, readObjectInQueue, readObjectInStream, readShort, readSkipBlock, readUnsignedByte, readUnsignedShort, readUTF, resetCursor, skip, skipBlock, skipBoolean, skipByte, skipBytes, skipChar, skipDouble, skipFloat, skipInt, skipLong, skipObjectInQueue, skipShort, skipUTF`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceInput
`readBoolean, readByte, readChar, readDouble, readFloat, readInt, readLong, readShort, readUnsignedByte, readUnsignedShort`

Constructor Detail

### XAQueue.Reader

    protected XAQueue.Reader()

Method Detail

### areFieldsProvided

    public boolean areFieldsProvided()

  Specified by:
    `areFieldsProvided` in interface `PersistenceInput`

### beginArray

    public int beginArray()
                   throws java.io.IOException

  Specified by:
    `beginArray` in interface `PersistenceInput`
  Throws:
    `java.io.IOException`

### beginComponent

    public boolean beginComponent(ManageableType.ArrayComponent c,
                                  int index)

  Specified by:
    `beginComponent` in interface `PersistenceInput`

### beginField

    public ManageableType.Field beginField(ManageableType type,
                                           ManageableType.Field field)

  Specified by:
    `beginField` in interface `PersistenceInput`

### beginManaged

    public ManageableType beginManaged()
                                throws java.io.IOException

  Specified by:
    `beginManaged` in interface `PersistenceInput`
  Throws:
    `java.io.IOException`

### close

    public void close()

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in interface `java.io.ObjectInput`
  Overrides:
    `close` in class `HierarchicalQueue.Reader`

### endArray

    public void endArray()

  Specified by:
    `endArray` in interface `PersistenceInput`

### endComponent

    public void endComponent()

  Specified by:
    `endComponent` in interface `PersistenceInput`

### endField

    public void endField()

  Specified by:
    `endField` in interface `PersistenceInput`

### endManaged

    public void endManaged()

  Specified by:
    `endManaged` in interface `PersistenceInput`

### getBindings

    public final PersistenceBindings getBindings()

  Specified by:
    `getBindings` in interface `PersistenceInput`

### getNextObjectKind

    public int getNextObjectKind()

  Specified by:
    `getNextObjectKind` in interface `PersistenceInput`

### getQueue

    public XAQueue getQueue()

### open

    public void open()

### readName

    public java.lang.String readName()
                              throws java.io.UTFDataFormatException

  Specified by:
    `readName` in interface `PersistenceInput`
  Throws:
    `java.io.UTFDataFormatException`

### readObject

    public java.lang.Object readObject(int kind,
                                       Type type)
                                throws java.io.IOException

  Specified by:
    `readObject` in interface `PersistenceInput`
  Throws:
    `java.io.IOException`

### readPersistentObject

    public final PersistenceCapable readPersistentObject()
                                                  throws java.io.IOException

  Specified by:
    `readPersistentObject` in interface `PersistenceInput`
  Throws:
    `java.io.IOException`

### readPersistentObjectId

    public final long readPersistentObjectId()
                                      throws java.io.IOException

  Specified by:
    `readPersistentObjectId` in interface `PersistenceInput`
  Throws:
    `java.io.IOException`

### readSharedObject

    public final Shareable readSharedObject()
                                     throws java.io.IOException

  Specified by:
    `readSharedObject` in interface `PersistenceInput`
  Throws:
    `java.io.IOException`

### readString

    public java.lang.String readString()
                                throws java.io.UTFDataFormatException

  Specified by:
    `readString` in interface `PersistenceInput`
  Throws:
    `java.io.UTFDataFormatException`

### resolveId

    public PersistenceCapable resolveId(long inputId)

  Specified by:
    `resolveId` in interface `PersistenceInput`

### setNested

    public void setNested(boolean nested)

  Specified by:
    `setNested` in interface `PersistenceInput`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD